# Uses of Interface
org.springframework.http.StreamingHttpOutputMessage.Body

Packages that use StreamingHttpOutputMessage.Body
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.
org.springframework.web.client
Core package of the client-side web support.

## Uses of StreamingHttpOutputMessage.Body in org.springframework.http

Methods in org.springframework.http with parameters of type StreamingHttpOutputMessage.Body
Modifier and Type
Method
Description
`void`
StreamingHttpOutputMessage.`setBody(StreamingHttpOutputMessage.Body body)`
Set the streaming body callback for this message.

## Uses of StreamingHttpOutputMessage.Body in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type StreamingHttpOutputMessage.Body
Modifier and Type
Method
Description
`RestClient.RequestBodySpec`
RestClient.RequestBodySpec.`body(StreamingHttpOutputMessage.Body body)`
Set the body of the request to the given function that writes to an `OutputStream`.